module(...)
--auto generate data
DATA={
	[1000]={
		id=1000,
		tips=[[赶紧去提升自己~
去领取奖赏把！]],
	},
}

MENU={
	[1003]={
		id=1003,
		main_type_list={[1]=201,[2]=202,[3]=203,},
		sort=1,
		tab_index=2,
		type_name=[[EXP]],
	},
	[1004]={
		id=1004,
		main_type_list={[1]=301,[2]=302,[3]=303,[4]=304,[5]=305,},
		sort=2,
		tab_index=2,
		type_name=[[Equipment]],
	},
	[1005]={
		id=1005,
		main_type_list={[1]=401,[2]=402,[3]=403,[4]=404,[5]=405,[6]=406,},
		sort=3,
		tab_index=2,
		type_name=[[Mecha]],
	},
	[1006]={
		id=1006,
		main_type_list={[1]=501,[2]=502,[3]=503,[4]=504,[5]=505,[6]=506,},
		sort=4,
		tab_index=2,
		type_name=[[Money]],
	},
}

MAIN={
	[101]={fight_list={},id=101,main_type_name=[[Pilot]],},
	[102]={fight_list={},id=102,main_type_name=[[Mecha]],},
	[201]={fight_list={},id=201,main_type_name=[[Pilot]],},
	[202]={fight_list={},id=202,main_type_name=[[Mecha Level]],},
	[203]={fight_list={},id=203,main_type_name=[[Mecha Star]],},
	[301]={fight_list={},id=301,main_type_name=[[Acquired Gear]],},
	[302]={fight_list={},id=302,main_type_name=[[Enchance Material]],},
	[303]={fight_list={},id=303,main_type_name=[[Gem]],},
	[304]={fight_list={},id=304,main_type_name=[[Memory Crystal]],},
	[305]={fight_list={},id=305,main_type_name=[[Merge Material]],},
	[401]={fight_list={},id=401,main_type_name=[[Acquired Mecha]],},
	[402]={fight_list={},id=402,main_type_name=[[Mecha Rune]],},
	[403]={fight_list={},id=403,main_type_name=[[Mecha Skill]],},
	[404]={fight_list={},id=404,main_type_name=[[Awakening Material]],},
	[405]={fight_list={},id=405,main_type_name=[[Fashion Ticket]],},
	[406]={fight_list={},id=406,main_type_name=[[Jewel]],},
	[501]={fight_list={},id=501,main_type_name=[[Gold]],},
	[502]={fight_list={},id=502,main_type_name=[[Diamond]],},
	[503]={fight_list={},id=503,main_type_name=[[Contribution]],},
	[504]={fight_list={},id=504,main_type_name=[[Medal]],},
	[505]={fight_list={},id=505,main_type_name=[[Honor]],},
	[506]={fight_list={},id=506,main_type_name=[[Guild Welfare]],},
	[999]={
		fight_list={[1]=10001,[2]=10002,[3]=10003,[4]=10004,},
		id=999,
		main_type_name=[[Battle operation]],
	},
}

SUB={
	[10101]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuangbei_tubiao]],
		id=10101,
		jilu=[[Increase CP-Pilot]],
		key=[[equip_all_strength_level]],
		key1=[[Cumulative Enhance number of 6 Gear items]],
		max_ignore_red_dot=1,
		name=[[Enhance Gear]],
		owner_menu=1001,
		progress=[[lv*6]],
		progress_type=1,
		red_func=[[IsRedStrengthLevel]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=57,
		unlock_level=30,
	},
	[10102]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuangbei_tubiao]],
		id=10102,
		jilu=[[Increase CP-Pilot]],
		key=[[equip_all_gem_level]],
		key1=[[Total Gem level of 6 Gear sets]],
		max_ignore_red_dot=1,
		name=[[Combine Gem]],
		owner_menu=1001,
		progress=[[360]],
		progress_type=1,
		red_func=[[IsRedGemLevel]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=51,
		unlock_level=30,
	},
	[10103]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuangbei_tubiao]],
		id=10103,
		jilu=[[Increase CP-Pilot]],
		key=[[equip_all_forge_fuwen]],
		key1=[[6 parts that combine the soul spell level /400]],
		max_ignore_red_dot=1,
		name=[[Soul Spel]],
		owner_menu=1001,
		progress=[[6 parts that combine the soul spell level /400]],
		progress_type=1,
		red_func=[[IsRedForgeFuwen]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=164,
		unlock_level=30,
	},
	[10104]={
		atlas=[[MainMenu]],
		icon=[[pic_jineng_tubiao]],
		id=10104,
		jilu=[[Increase CP-Pilot]],
		key=[[equip_all_skill_point]],
		key1=[[Used Skill Points/400]],
		max_ignore_red_dot=0,
		name=[[Skill]],
		owner_menu=1001,
		progress=[[Used Skill Points/400]],
		progress_type=1,
		red_func=[[IsRedSkillPoint]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=157,
		unlock_level=10,
	},
	[10105]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuangbei_tubiao]],
		id=10105,
		jilu=[[Increase CP-Pilot]],
		key=[[equip_all_suit]],
		key1=[[Gear set]],
		max_ignore_red_dot=0,
		name=[[Gear set]],
		owner_menu=1001,
		progress=[[Used Skill Points/400]],
		progress_type=1,
		red_func=[[IsRedEquipSuit]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=165,
		unlock_level=30,
	},
	[10201]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10201,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_equip_all_level]],
		key1=[[Total rune enhancement level of the Mecha who go out to battle]],
		max_ignore_red_dot=0,
		name=[[Enhance Rune]],
		owner_menu=1002,
		progress=[[96]],
		progress_type=1,
		red_func=[[IsRedPartEquipLevel]],
		sort=1,
		special=[[Execute special logic in file]],
		special_key=[[partner_euqip_up]],
		suggest_star=5,
		switch_id=1,
		unlock_level=1,
	},
	[10202]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10202,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_level]],
		key1=[[Total level of Mecha in the battle]],
		max_ignore_red_dot=1,
		name=[[Level up Mecha]],
		owner_menu=1002,
		progress=[[lv*0+240]],
		progress_type=1,
		red_func=[[IsRedPartAllLevel]],
		sort=2,
		special=[[Select the main battle Mecha into the Mecha upgrading interface]],
		special_key=[[partner_level_up]],
		suggest_star=5,
		switch_id=1,
		unlock_level=1,
	},
	[10203]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10203,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_awake]],
		key1=[[Number of Mecha Awakening in the battle]],
		max_ignore_red_dot=0,
		name=[[Awaken Mecha]],
		owner_menu=1002,
		progress=[[4]],
		progress_type=1,
		red_func=[[IsRedPartAllAwake]],
		sort=8,
		special=[[Select an unawakened Mecha in the battle Mecha to proceed to the awakening interface (Prioritize the main battle, if both awaken, the main battle Mecha enters the awakening interface)]],
		special_key=[[partner_awake]],
		suggest_star=5,
		switch_id=1,
		unlock_level=44,
	},
	[10204]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10204,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_upgrade]],
		key1=[[4 Mecha with the maximum star level/20]],
		max_ignore_red_dot=0,
		name=[[Star up the Mecha]],
		owner_menu=1002,
		progress=[[4 Mecha with the maximum star level/20]],
		progress_type=1,
		red_func=[[IsRedPartAllUpgrade]],
		sort=3,
		special=[[Enter Star Increasing interface (default Mecha does not select Star Increasing Mecha)]],
		special_key=[[partner_star_up]],
		suggest_star=5,
		switch_id=158,
		unlock_level=1,
	},
	[10205]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10205,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_skill]],
		key1=[[4 Mecha with the maximum star level/20]],
		max_ignore_red_dot=0,
		name=[[Increase skill]],
		owner_menu=1002,
		progress=[[Enhance Jewel]],
		progress_type=1,
		red_func=[[IsRedPartAllSkill]],
		sort=4,
		special=[[Enter Star Increasing interface (default Mecha does not select Star Increasing Mecha)]],
		special_key=[[partner_skill_up]],
		suggest_star=5,
		switch_id=158,
		unlock_level=1,
	},
	[10206]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10206,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_yuling]],
		key1=[[4 Mecha with the maximum star level/20]],
		max_ignore_red_dot=0,
		name=[[Enhance Jewel]],
		owner_menu=1002,
		progress=[[Enhance Jewel]],
		progress_type=1,
		red_func=[[IsRedPartAllYuLing]],
		sort=5,
		special=[[Enter Star Increasing interface (default Mecha does not select Star Increasing Mecha)]],
		special_key=[[partner_yuling]],
		suggest_star=5,
		switch_id=158,
		unlock_level=40,
	},
	[10207]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10207,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_equip_dress]],
		key1=[[4 Mecha with the maximum star level/20]],
		max_ignore_red_dot=0,
		name=[[Wear Rune]],
		owner_menu=0,
		progress=[[Enhance Jewel]],
		progress_type=1,
		red_func=[[IsRedPartAllEquipDress]],
		sort=6,
		special=[[Enter Star Increasing interface (default Mecha does not select Star Increasing Mecha)]],
		special_key=[[partner_euqip_dress]],
		suggest_star=5,
		switch_id=158,
		unlock_level=1,
	},
	[10208]={
		atlas=[[MainMenu]],
		icon=[[partner]],
		id=10208,
		jilu=[[Increase CP-Mecha]],
		key=[[fight_partner_all_stone]],
		key1=[[4 Mecha with the maximum star level/20]],
		max_ignore_red_dot=0,
		name=[[Enhance the Soul Stone]],
		owner_menu=1002,
		progress=[[Enhance Jewel]],
		progress_type=1,
		red_func=[[IsRedPartAllStone]],
		sort=7,
		special=[[Enter Star Increasing interface (default Mecha does not select Star Increasing Mecha)]],
		special_key=[[partner_stone]],
		suggest_star=5,
		switch_id=158,
		unlock_level=1,
	},
	[20102]={
		atlas=[[MainMenu]],
		icon=[[pic_meirixiuxing]],
		id=20102,
		jilu=[[Level-Pilot]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Daily training]],
		owner_menu=201,
		progress=[[Every day, team conducts of training will aquired a lot of EXP]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=11,
		unlock_level=25,
	},
	[20103]={
		atlas=[[MainMenu]],
		icon=[[pic_xuezha]],
		id=20103,
		jilu=[[Level-Pilot]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Quiz]],
		owner_menu=201,
		progress=[[Joining the Quiz and Special Quiz will aquired EXP]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=182,
		unlock_level=36,
	},
	[20105]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuxian_tubiao]],
		id=20105,
		jilu=[[Level-Pilot]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Mission]],
		owner_menu=201,
		progress=[[Clear the Mission will aquired a lot of EXP]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=173,
		unlock_level=2,
	},
	[20106]={
		atlas=[[MainMenu]],
		icon=[[pic_jiaoxue]],
		id=20106,
		jilu=[[Level-Pilot]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=201,
		progress=[[Completing Research can aquired a big amount of EXP]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=179,
		unlock_level=15,
	},
	[20203]={
		atlas=[[MainMenu]],
		icon=[[pic_meirixiuxing]],
		id=20203,
		jilu=[[Level-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Daily training]],
		owner_menu=202,
		progress=[[Daily Training will aquired Fresh Meat Bag]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=11,
		unlock_level=25,
	},
	[20204]={
		atlas=[[MainMenu]],
		icon=[[pic_youli]],
		id=20204,
		jilu=[[Level-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Expedition Mecha]],
		owner_menu=202,
		progress=[[After the Expedition is completed, the Mecha that joined in the Excursion can aquired a lot of EXP]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=152,
		unlock_level=44,
	},
	[20205]={
		atlas=[[MainMenu]],
		icon=[[pic_jiaoxue]],
		id=20205,
		jilu=[[Level-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=202,
		progress=[[Completing Research can aquired a big amount of Mecha EXP]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=179,
		unlock_level=15,
	},
	[20301]={
		atlas=[[MainMenu]],
		icon=[[pic_huodong]],
		id=20301,
		jilu=[[Level- Star up]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Chest]],
		owner_menu=203,
		progress=[[Every one and a half hour, the Lucky Chest will appear in various maps outside the Capital]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=183,
		unlock_level=28,
	},
	[20302]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=20302,
		jilu=[[Level- Star up]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Medal Shop]],
		owner_menu=203,
		progress=[[Medal Shop can buy Mecha Shard]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=5,
		unlock_level=9,
	},
	[20303]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuxian_tubiao]],
		id=20303,
		jilu=[[Level- Star up]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Mission]],
		owner_menu=203,
		progress=[[Clear the appointed chap can aquired the Mecha Shard]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=173,
		unlock_level=2,
	},
	[20304]={
		atlas=[[MainMenu]],
		icon=[[pic_chahui]],
		id=20304,
		jilu=[[Level- Star up]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Abyss]],
		owner_menu=203,
		progress=[[Defeating the Abyss Staff will aquired the Mecha Shard]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=23,
		unlock_level=35,
	},
	[20305]={
		atlas=[[MainMenu]],
		icon=[[pic_tansuo_1]],
		id=20305,
		jilu=[[Level- Star up]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=203,
		progress=[[In the process of searching the chance of meeting Elite Mecha, challenging can aquired the Shard]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=22,
		unlock_level=38,
	},
	[30101]={
		atlas=[[MainMenu]],
		icon=[[pic_maigu]],
		id=30101,
		jilu=[[Gear-Gear]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Joint Strike]],
		owner_menu=301,
		progress=[[Clear the Joint Strike can aquired the Pilot Gear]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=45,
		unlock_level=30,
	},
	[30102]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuangbei_tubiao]],
		id=30102,
		jilu=[[Gear-Gear]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Combine the Gear]],
		owner_menu=301,
		progress=[[From combinating the Gear can combine special Gear]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=165,
		unlock_level=37,
	},
	[30201]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30201,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Medal Shop]],
		owner_menu=302,
		progress=[[Can buy enhancing material at the Medal Shop]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=5,
		unlock_level=9,
	},
	[30202]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30202,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Contribution Shop]],
		owner_menu=302,
		progress=[[Can buy enhancing material at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=7,
		unlock_level=9,
	},
	[30203]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30203,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gift Package Shop]],
		owner_menu=302,
		progress=[[Can buy enhancing material at the Gift Shop]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=4,
		unlock_level=9,
	},
	[30204]={
		atlas=[[MainMenu]],
		icon=[[pic_maigu]],
		id=30204,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Joint Strike]],
		owner_menu=302,
		progress=[[Clear the Joint Strike can aquired the enhancing material]],
		progress_type=2,
		red_func=[[]],
		sort=6,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=45,
		unlock_level=30,
	},
	[30205]={
		atlas=[[MainMenu]],
		icon=[[btn_dlrk2017]],
		id=30205,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Training Tower]],
		owner_menu=302,
		progress=[[Clear the Training Tower can aquired the enhancing material]],
		progress_type=2,
		red_func=[[]],
		sort=9,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=41,
		unlock_level=45,
	},
	[30206]={
		atlas=[[Item]],
		icon=[[10024]],
		id=30206,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Rune Digging]],
		owner_menu=302,
		progress=[[Using the Astrological map has the chance of receiving the enhancing material]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=44,
		unlock_level=17,
	},
	[30207]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30207,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gold purchase]],
		owner_menu=302,
		progress=[[Can buy the enhancing material at the Gold Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=2,
		unlock_level=1,
	},
	[30208]={
		atlas=[[MainMenu]],
		icon=[[btn_sjboss2017]],
		id=30208,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Labyrinth]],
		owner_menu=302,
		progress=[[Joining the Labyrinth will aquired Maiden Stone]],
		progress_type=2,
		red_func=[[]],
		sort=7,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=42,
		unlock_level=33,
	},
	[30209]={
		atlas=[[MainMenu]],
		icon=[[pic_gwgongcheng]],
		id=30209,
		jilu=[[Gear- Enhance]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Monster Attack]],
		owner_menu=302,
		progress=[[Joining the Fortress Challenge Event will aquired Maiden Stone]],
		progress_type=2,
		red_func=[[]],
		sort=8,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=177,
		unlock_level=33,
	},
	[30301]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30301,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Contribution Shop]],
		owner_menu=303,
		progress=[[Can buy Gem at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=7,
		unlock_level=9,
	},
	[30303]={
		atlas=[[MainMenu]],
		icon=[[pic_maigu]],
		id=30303,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Joint Strike]],
		owner_menu=303,
		progress=[[Clear the Joint Strike can aquired the Gem]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=45,
		unlock_level=30,
	},
	[30304]={
		atlas=[[MainMenu]],
		icon=[[btn_dlrk2017]],
		id=30304,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Training Tower]],
		owner_menu=303,
		progress=[[Challenge the Training Tower can aquired the Gem]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=41,
		unlock_level=45,
	},
	[30305]={
		atlas=[[Item]],
		icon=[[10024]],
		id=30305,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Rune Digging]],
		owner_menu=303,
		progress=[[Using Astrological Map will have the chance of receiving the Gem]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=44,
		unlock_level=17,
	},
	[30307]={
		atlas=[[MainMenu]],
		icon=[[pic_mengyan_diyu]],
		id=30307,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Project X]],
		owner_menu=303,
		progress=[[Clear the Project X can aquired the Gem]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=155,
		unlock_level=50,
	},
	[30308]={
		atlas=[[MainMenu]],
		icon=[[btn_renxingtaofa2017]],
		id=30308,
		jilu=[[Gear-Gem]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Chasm]],
		owner_menu=303,
		progress=[[Joining the Dimensional Chasm will aquired the Gem]],
		progress_type=2,
		red_func=[[]],
		sort=6,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=156,
		unlock_level=55,
	},
	[30402]={
		atlas=[[MainMenu]],
		icon=[[pic_maigu]],
		id=30402,
		jilu=[[Gear-Soul Spell]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Joint Strike]],
		owner_menu=304,
		progress=[[Clear the Joint Strike can aquired Memory Crystal]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=45,
		unlock_level=30,
	},
	[30403]={
		atlas=[[MainMenu]],
		icon=[[btn_dlrk2017]],
		id=30403,
		jilu=[[Gear-Soul Spell]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Training Tower]],
		owner_menu=304,
		progress=[[Challenge the Training Tower can aquired Memory Crystal]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=41,
		unlock_level=45,
	},
	[30404]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30404,
		jilu=[[Gear-Soul Spell]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gold purchase]],
		owner_menu=304,
		progress=[[Can buy the enhancing material at the Gold Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=2,
		unlock_level=1,
	},
	[30501]={
		atlas=[[MainMenu]],
		icon=[[pic_mengyan_diyu]],
		id=30501,
		jilu=[[Gear-Material]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Project X]],
		owner_menu=305,
		progress=[[Clear the Project X can aquired the Ghost item, Ethers and Fusion Sand]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=155,
		unlock_level=50,
	},
	[30502]={
		atlas=[[MainMenu]],
		icon=[[btn_renxingtaofa2017]],
		id=30502,
		jilu=[[Gear-Material]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Chasm]],
		owner_menu=305,
		progress=[[Joining the Dimensional Chasm will aquired the Ghost item, Ethers and Fusion Sand]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=156,
		unlock_level=55,
	},
	[30503]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=30503,
		jilu=[[Gear-Material]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gold purchase]],
		owner_menu=305,
		progress=[[Can buy Ghost item, Ether and Fusion Sand at the Gold Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=2,
		unlock_level=1,
	},
	[40101]={
		atlas=[[MainMenu]],
		icon=[[pic_zhaomu_tubiao]],
		id=40101,
		jilu=[[Aquired Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Summon]],
		owner_menu=401,
		progress=[[Summoning can aquired the Mecha]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=61,
		unlock_level=7,
	},
	[40103]={
		atlas=[[MainMenu]],
		icon=[[pic_chahui]],
		id=40103,
		jilu=[[Aquired Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Abyss]],
		owner_menu=401,
		progress=[[Defeating the Abyss Staff will aquired the Mecha Shard]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=23,
		unlock_level=38,
	},
	[40104]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40104,
		jilu=[[Aquired Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Medal Shop]],
		owner_menu=401,
		progress=[[Medal Shop can buy Mecha Shard]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=5,
		unlock_level=9,
	},
	[40105]={
		atlas=[[MainMenu]],
		icon=[[pic_tansuo_1]],
		id=40105,
		jilu=[[Aquired Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=401,
		progress=[[In the process of searching the chance of meeting Elite Mecha, challenging can aquired the Shard]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=22,
		unlock_level=38,
	},
	[40106]={
		atlas=[[MainMenu]],
		icon=[[pic_huodong]],
		id=40106,
		jilu=[[Aquired Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Chest]],
		owner_menu=401,
		progress=[[Open the Lucky Chest can have the chance of receiving the Mecha Shard and complete Mecha]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=183,
		unlock_level=28,
	},
	[40201]={
		atlas=[[MainMenu]],
		icon=[[pic_tansuo_1]],
		id=40201,
		jilu=[[Rune-Aquired]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=402,
		progress=[[Searching the Excursion can aquired Soul Stone]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=22,
		unlock_level=38,
	},
	[40202]={
		atlas=[[Item]],
		icon=[[14021]],
		id=40202,
		jilu=[[Rune-Aquired]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Varian Totem]],
		owner_menu=402,
		progress=[[Clear the Mission can aquired the Varian Totem]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=173,
		unlock_level=2,
	},
	[40203]={
		atlas=[[Item]],
		icon=[[14036]],
		id=40203,
		jilu=[[Rune-Aquired]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Memory Crystal]],
		owner_menu=402,
		progress=[[Clear the Mission can aquired the Memory Crystal]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=173,
		unlock_level=2,
	},
	[40204]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40204,
		jilu=[[Rune-Aquired]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gold purchase]],
		owner_menu=402,
		progress=[[Can buy Memory Crystal Varian Totem at the Gold Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=2,
		unlock_level=1,
	},
	[40205]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40205,
		jilu=[[Rune-Aquired]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Honor shop]],
		owner_menu=402,
		progress=[[Can buy the Soul Stone at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=6,
		unlock_level=9,
	},
	[40301]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40301,
		jilu=[[Mecha Skill]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Honor shop]],
		owner_menu=403,
		progress=[[Can buy Valarion Core at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=6,
		unlock_level=9,
	},
	[40302]={
		atlas=[[MainMenu]],
		icon=[[pic_zhuxian_tubiao]],
		id=40302,
		jilu=[[Mecha Skill]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Mission]],
		owner_menu=403,
		progress=[[Clear the Mission can aquired Valarion Core]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=173,
		unlock_level=2,
	},
	[40303]={
		atlas=[[MainMenu]],
		icon=[[btn_sjboss2017]],
		id=40303,
		jilu=[[Mecha Skill]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Labyrinth]],
		owner_menu=403,
		progress=[[Can create the Orange special weapon]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=42,
		unlock_level=33,
	},
	[40401]={
		atlas=[[MainMenu]],
		icon=[[pic_youli]],
		id=40401,
		jilu=[[Awakening Material-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Expedition Mecha]],
		owner_menu=404,
		progress=[[Completing the Expedition at Unexpected Meeting Trader can aquired Awakening material]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=152,
		unlock_level=28,
	},
	[40402]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40402,
		jilu=[[Awakening Material-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Contribution Shop]],
		owner_menu=404,
		progress=[[Can buy Awakening Material at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=7,
		unlock_level=9,
	},
	[40501]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=40501,
		jilu=[[Mecha-Fashion Coupon]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[World Match]],
		owner_menu=405,
		progress=[[Base on everyweek point earning, can bonus Fashion Coupon]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=47,
		unlock_level=28,
	},
	[40502]={
		atlas=[[Item]],
		icon=[[10024]],
		id=40502,
		jilu=[[Mecha-Fashion Coupon]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Rune Digging]],
		owner_menu=405,
		progress=[[Using Astrological Map can have the chance of receiving Fashion Coupon]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=44,
		unlock_level=17,
	},
	[40503]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40503,
		jilu=[[Mecha-Fashion Coupon]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Gift Package Shop]],
		owner_menu=405,
		progress=[[Can buy Fashion Coupon Gift at the Gift Shop]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=4,
		unlock_level=9,
	},
	[40504]={
		atlas=[[MainMenu]],
		icon=[[pic_shangdian_tubiao]],
		id=40504,
		jilu=[[Mecha-Fashion Coupon]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Medal Shop]],
		owner_menu=405,
		progress=[[Can buy Fashion Coupon Giift at the Contribution Shop]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=5,
		unlock_level=9,
	},
	[40601]={
		atlas=[[MainMenu]],
		icon=[[pic_yikongliufang]],
		id=40601,
		jilu=[[Jewel-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Jewel Dungeon]],
		owner_menu=406,
		progress=[[Clear the Jewel Dungeon can aquired Jewel]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=46,
		unlock_level=40,
	},
	[40602]={
		atlas=[[MainMenu]],
		icon=[[pic_lieling]],
		id=40602,
		jilu=[[Jewel-Mecha]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Hunt]],
		owner_menu=406,
		progress=[[Can aquired Jewel through the Hunting]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=184,
		unlock_level=40,
	},
	[50101]={
		atlas=[[MainMenu]],
		icon=[[pic_richang_tubiao]],
		id=50101,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Event]],
		owner_menu=501,
		progress=[[Can aquired gold through everyday excitement reward]],
		progress_type=2,
		red_func=[[]],
		sort=7,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=14,
		unlock_level=15,
	},
	[50102]={
		atlas=[[Item]],
		icon=[[1003]],
		id=50102,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Exchange Diamond]],
		owner_menu=501,
		progress=[[Diamond can be exchanged for gold]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=33,
		unlock_level=1,
	},
	[50103]={
		atlas=[[MainMenu]],
		icon=[[pic_tansuo_1]],
		id=50103,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Research]],
		owner_menu=501,
		progress=[[Can aquired gold by searching the picnic]],
		progress_type=2,
		red_func=[[]],
		sort=6,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=22,
		unlock_level=38,
	},
	[50106]={
		atlas=[[Item]],
		icon=[[10022]],
		id=50106,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Full Moon Raid]],
		owner_menu=501,
		progress=[[Reward of Full Moon Ticket excitement, after Open will aquired a lot of gold]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=48,
		unlock_level=46,
	},
	[50107]={
		atlas=[[MainMenu]],
		icon=[[guild]],
		id=50107,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Lucky Money]],
		owner_menu=501,
		progress=[[Can claim Guild Red Envelope at 8h every day]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=160,
		unlock_level=14,
	},
	[50109]={
		atlas=[[MainMenu]],
		icon=[[pic_zhaidi_tubiao]],
		id=50109,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[House]],
		owner_menu=501,
		progress=[[Cooking at the House can aquired gold]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=31,
		unlock_level=20,
	},
	[50112]={
		atlas=[[MainMenu]],
		icon=[[pic_husong]],
		id=50112,
		jilu=[[Aquired Gold]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Protector]],
		owner_menu=501,
		progress=[[Completing the Escort quest can aquired gold]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=178,
		unlock_level=43,
	},
	[50202]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50202,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[World Match]],
		owner_menu=502,
		progress=[[aquired Diamond in total points every week]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=47,
		unlock_level=28,
	},
	[50203]={
		atlas=[[MainMenu]],
		icon=[[guild]],
		id=50203,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Alliance Attend]],
		owner_menu=502,
		progress=[[Guild reaches certain check-in process every day can aquired Diamond]],
		progress_type=2,
		red_func=[[]],
		sort=8,
		special=[[]],
		special_key=[[]],
		suggest_star=3,
		switch_id=154,
		unlock_level=14,
	},
	[50204]={
		atlas=[[MainMenu]],
		icon=[[btn_sjboss2017]],
		id=50204,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Labyrinth]],
		owner_menu=502,
		progress=[[Joining the Labyrinth will aquired Diamond according to the ranking]],
		progress_type=2,
		red_func=[[]],
		sort=6,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=42,
		unlock_level=33,
	},
	[50206]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50206,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Universal Battle]],
		owner_menu=502,
		progress=[[aquired Diamond in total points every week]],
		progress_type=2,
		red_func=[[]],
		sort=7,
		special=[[]],
		special_key=[[]],
		suggest_star=4,
		switch_id=175,
		unlock_level=53,
	},
	[50207]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50207,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[United Battle]],
		owner_menu=502,
		progress=[[After each event will aquired Diamond according to number of wins and ranking]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=174,
		unlock_level=28,
	},
	[50209]={
		atlas=[[NpcShop]],
		icon=[[8]],
		id=50209,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Monthly card]],
		owner_menu=502,
		progress=[[Can claim 100 Diamond every day after purchasing the monthly card]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=171,
		unlock_level=1,
	},
	[50210]={
		atlas=[[NpcShop]],
		icon=[[9]],
		id=50210,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Lifetime card]],
		owner_menu=502,
		progress=[[Can claim 110 Diamond every day after purchasing the lifetime card]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=171,
		unlock_level=1,
	},
	[50212]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50212,
		jilu=[[Aquired Diamond]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Match]],
		owner_menu=502,
		progress=[[According to total points, can aquired Diamond every day]],
		progress_type=2,
		red_func=[[]],
		sort=5,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=187,
		unlock_level=28,
	},
	[50301]={
		atlas=[[MainMenu]],
		icon=[[pic_richang_tubiao]],
		id=50301,
		jilu=[[Aquired Excitement]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Daily Event]],
		owner_menu=503,
		progress=[[Completing the Daily Event can aquired the Excitement]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=14,
		unlock_level=15,
	},
	[50401]={
		atlas=[[MainMenu]],
		icon=[[btn_sjboss2017]],
		id=50401,
		jilu=[[Aquired Medal]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Labyrinth]],
		owner_menu=504,
		progress=[[Joining the Labyrinth can base on the ranking to aquired the Medal]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=42,
		unlock_level=33,
	},
	[50402]={
		atlas=[[MainMenu]],
		icon=[[btn_dlrk2017]],
		id=50402,
		jilu=[[Aquired Medal]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[How to play Training Tower]],
		owner_menu=504,
		progress=[[Clear the Training Tower can aquired the Medal]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=41,
		unlock_level=45,
	},
	[50403]={
		atlas=[[MainMenu]],
		icon=[[pic_gwgongcheng]],
		id=50403,
		jilu=[[Aquired Medal]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Monster Attack]],
		owner_menu=504,
		progress=[[Joining the Fortress Challenge gameplay can aquired the Medal]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=177,
		unlock_level=33,
	},
	[50501]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50501,
		jilu=[[Aquired Honor]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Match]],
		owner_menu=505,
		progress=[[According to total points, can aquired the Honor every day]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=187,
		unlock_level=28,
	},
	[50502]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50502,
		jilu=[[Aquired Honor]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[World Match]],
		owner_menu=505,
		progress=[[According to total points, can aquired the Honor every week]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=47,
		unlock_level=28,
	},
	[50503]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50503,
		jilu=[[Aquired Honor]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[United Battle]],
		owner_menu=505,
		progress=[[According to the ranking and number of wins, can aquired the Honor after each event time]],
		progress_type=2,
		red_func=[[]],
		sort=3,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=174,
		unlock_level=28,
	},
	[50504]={
		atlas=[[MainMenu]],
		icon=[[btn_bwcrk2017]],
		id=50504,
		jilu=[[Aquired Honor]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Universal Battle]],
		owner_menu=505,
		progress=[[According to total points, can aquired the Honor every week]],
		progress_type=2,
		red_func=[[]],
		sort=4,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=175,
		unlock_level=53,
	},
	[50601]={
		atlas=[[MainMenu]],
		icon=[[guild]],
		id=50601,
		jilu=[[Aquired Contribution]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Build the Alliance]],
		owner_menu=506,
		progress=[[Building Guild can aquired Guild Contribution]],
		progress_type=2,
		red_func=[[]],
		sort=1,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=159,
		unlock_level=14,
	},
	[50602]={
		atlas=[[MainMenu]],
		icon=[[guild]],
		id=50602,
		jilu=[[Aquired Contribution]],
		key=[[key1]],
		key1=[[]],
		max_ignore_red_dot=0,
		name=[[Alliance Event]],
		owner_menu=506,
		progress=[[Joining the Guild event can aquired Guild Contribution]],
		progress_type=2,
		red_func=[[]],
		sort=2,
		special=[[]],
		special_key=[[]],
		suggest_star=5,
		switch_id=162,
		unlock_level=14,
	},
}

FIGHT_GUIDE={
	[10001]={
		id=10001,
		name=[[Change operation target]],
		picpath1=[[zhandou1_1.jpg]],
		picpath2=[[zhandou1_2.jpg]],
		size1=[[250,170,0,0]],
		size2=[[250,80,0,-30]],
		sort=1,
		text1=[["Click the model to change hero to perform instruction operation. After manipulating some heroes, click "Complete instruction", this hero turn that has not been operated will automatically use the default skill. Default skill is displayed on top of the model, usually the skill used in the last round or battled in the last battle.
Reminder: After selecting SP Skill, when SP isn't enough, use base attack.]],
		text2=[[After the hero operation, click "complete instruction", the hero that has not been active in this round will automatically use the default skill]],
	},
	[10002]={
		id=10002,
		name=[[
Rotate lens]],
		picpath1=[[zhandou2_1.jpg]],
		picpath2=[[zhandou2_2.jpg]],
		size1=[[250,170,0,0]],
		size2=[[250,170,0,0]],
		sort=2,
		text1=[[Long press the screen and swipe left or right to move the battle view to the left and right]],
		text2=[[After choosing SP, when SP is not enough, it will automatically base attack.]],
	},
	[10003]={
		id=10003,
		name=[[
Increase the Battle SP]],
		picpath1=[[zhandou3_1.jpg]],
		picpath2=[[zhandou3_2.jpg]],
		size1=[[250,140,0,0]],
		size2=[[250,140,0,0]],
		sort=3,
		text1=[[In Auto Attack, monsters can be selected as SP increasing target, press again will cancel SP Increasing]],
		text2=[[Long press the screen and swipe right to move the battle view to the right]],
	},
	[10004]={
		id=10004,
		name=[[
Change the hero]],
		picpath1=[[zhandou4_1.jpg]],
		picpath2=[[zhandou4_2.jpg]],
		size1=[[250,170,0,0]],
		size2=[[250,170,0,0]],
		sort=4,
		text1=[[In the battle team, click replace in the lower left corner to replace the hero to battle, each player can go to battle at most 4 heroes. Heroes who have been replaced in battle cannot go to battle anymore.]],
		text2=[[Click again on the model that has SP, will cancel the SP command for this target]],
	},
}

TAB_MENU={}

EXPECTATION={
	[1]={id=1,level=1,power=17543,},
	[2]={id=2,level=2,power=17543,},
	[3]={id=3,level=3,power=17543,},
	[4]={id=4,level=4,power=17543,},
	[5]={id=5,level=5,power=17543,},
	[6]={id=6,level=6,power=17543,},
	[7]={id=7,level=7,power=17543,},
	[8]={id=8,level=8,power=17543,},
	[9]={id=9,level=9,power=17543,},
	[10]={id=10,level=10,power=17543,},
	[11]={id=11,level=11,power=17543,},
	[12]={id=12,level=12,power=17543,},
	[13]={id=13,level=13,power=17543,},
	[14]={id=14,level=14,power=17543,},
	[15]={id=15,level=15,power=17543,},
	[16]={id=16,level=16,power=17543,},
	[17]={id=17,level=17,power=17543,},
	[18]={id=18,level=18,power=17543,},
	[19]={id=19,level=19,power=17543,},
	[20]={id=20,level=20,power=17543,},
	[21]={id=21,level=21,power=17543,},
	[22]={id=22,level=22,power=17543,},
	[23]={id=23,level=23,power=17543,},
	[24]={id=24,level=24,power=17543,},
	[25]={id=25,level=25,power=17543,},
	[26]={id=26,level=26,power=17543,},
	[27]={id=27,level=27,power=17543,},
	[28]={id=28,level=28,power=17543,},
	[29]={id=29,level=29,power=17543,},
	[30]={id=30,level=30,power=17543,},
	[31]={id=31,level=31,power=17543,},
	[32]={id=32,level=32,power=17543,},
	[33]={id=33,level=33,power=17543,},
	[34]={id=34,level=34,power=17543,},
	[35]={id=35,level=35,power=17543,},
	[36]={id=36,level=36,power=17543,},
	[37]={id=37,level=37,power=17543,},
	[38]={id=38,level=38,power=17543,},
	[39]={id=39,level=39,power=17543,},
	[40]={id=40,level=40,power=17543,},
	[41]={id=41,level=41,power=27002,},
	[42]={id=42,level=42,power=27002,},
	[43]={id=43,level=43,power=27002,},
	[44]={id=44,level=44,power=27002,},
	[45]={id=45,level=45,power=27002,},
	[46]={id=46,level=46,power=27002,},
	[47]={id=47,level=47,power=27002,},
	[48]={id=48,level=48,power=27002,},
	[49]={id=49,level=49,power=27002,},
	[50]={id=50,level=50,power=27002,},
	[51]={id=51,level=51,power=38453,},
	[52]={id=52,level=52,power=38453,},
	[53]={id=53,level=53,power=38453,},
	[54]={id=54,level=54,power=38453,},
	[55]={id=55,level=55,power=38453,},
	[56]={id=56,level=56,power=38453,},
	[57]={id=57,level=57,power=38453,},
	[58]={id=58,level=58,power=38453,},
	[59]={id=59,level=59,power=38453,},
	[60]={id=60,level=60,power=38453,},
	[61]={id=61,level=61,power=51896,},
	[62]={id=62,level=62,power=51896,},
	[63]={id=63,level=63,power=51896,},
	[64]={id=64,level=64,power=51896,},
	[65]={id=65,level=65,power=51896,},
	[66]={id=66,level=66,power=51896,},
	[67]={id=67,level=67,power=51896,},
	[68]={id=68,level=68,power=51896,},
	[69]={id=69,level=69,power=51896,},
	[70]={id=70,level=70,power=51896,},
	[71]={id=71,level=71,power=67331,},
	[72]={id=72,level=72,power=67331,},
	[73]={id=73,level=73,power=67331,},
	[74]={id=74,level=74,power=67331,},
	[75]={id=75,level=75,power=67331,},
	[76]={id=76,level=76,power=67331,},
	[77]={id=77,level=77,power=67331,},
	[78]={id=78,level=78,power=67331,},
	[79]={id=79,level=79,power=67331,},
	[80]={id=80,level=80,power=67331,},
	[81]={id=81,level=81,power=84758,},
	[82]={id=82,level=82,power=84758,},
	[83]={id=83,level=83,power=84758,},
	[84]={id=84,level=84,power=84758,},
	[85]={id=85,level=85,power=84758,},
	[86]={id=86,level=86,power=84758,},
	[87]={id=87,level=87,power=84758,},
	[88]={id=88,level=88,power=84758,},
	[89]={id=89,level=89,power=84758,},
	[90]={id=90,level=90,power=84758,},
	[91]={id=91,level=91,power=104177,},
	[92]={id=92,level=92,power=104177,},
	[93]={id=93,level=93,power=104177,},
	[94]={id=94,level=94,power=104177,},
	[95]={id=95,level=95,power=104177,},
	[96]={id=96,level=96,power=104177,},
	[97]={id=97,level=97,power=104177,},
	[98]={id=98,level=98,power=104177,},
	[99]={id=99,level=99,power=104177,},
	[100]={id=100,level=100,power=104177,},
	[101]={id=101,level=101,power=104877,},
	[102]={id=102,level=102,power=104877,},
	[103]={id=103,level=103,power=104877,},
	[104]={id=104,level=104,power=104877,},
	[105]={id=105,level=105,power=104877,},
	[106]={id=106,level=106,power=104877,},
	[107]={id=107,level=107,power=104877,},
	[108]={id=108,level=108,power=104877,},
	[109]={id=109,level=109,power=104877,},
	[110]={id=110,level=110,power=104877,},
	[111]={id=111,level=111,power=105577,},
	[112]={id=112,level=112,power=105577,},
	[113]={id=113,level=113,power=105577,},
	[114]={id=114,level=114,power=105577,},
	[115]={id=115,level=115,power=105577,},
	[116]={id=116,level=116,power=105577,},
	[117]={id=117,level=117,power=105577,},
	[118]={id=118,level=118,power=105577,},
	[119]={id=119,level=119,power=105577,},
	[120]={id=120,level=120,power=105577,},
}

PARTNER_SKILL_MAX_LEVEL={
	[30101]=8,
	[30102]=8,
	[30103]=1,
	[30201]=8,
	[30202]=8,
	[30203]=8,
	[30204]=1,
	[30301]=8,
	[30302]=8,
	[30303]=8,
	[30304]=1,
	[30501]=8,
	[30502]=8,
	[30503]=8,
	[30504]=1,
	[30601]=8,
	[30602]=8,
	[30603]=8,
	[30604]=1,
	[30701]=8,
	[30702]=5,
	[30703]=5,
	[30704]=1,
	[30801]=8,
	[30802]=8,
	[30803]=8,
	[31101]=8,
	[31102]=8,
	[31103]=8,
	[31104]=1,
	[31201]=8,
	[31202]=8,
	[31203]=8,
	[31301]=8,
	[31302]=8,
	[31303]=8,
	[31401]=8,
	[31402]=8,
	[31403]=8,
	[31501]=8,
	[31502]=8,
	[31503]=8,
	[31601]=8,
	[31602]=8,
	[31603]=8,
	[31801]=8,
	[31802]=8,
	[31803]=8,
	[40101]=8,
	[40102]=8,
	[40103]=8,
	[40104]=1,
	[40201]=8,
	[40202]=8,
	[40203]=1,
	[40301]=8,
	[40302]=8,
	[40303]=8,
	[40304]=1,
	[40401]=8,
	[40402]=8,
	[40403]=1,
	[40404]=1,
	[40501]=8,
	[40502]=8,
	[40503]=8,
	[40504]=1,
	[40701]=8,
	[40702]=8,
	[40703]=8,
	[40704]=1,
	[40901]=8,
	[40902]=8,
	[40903]=1,
	[41001]=8,
	[41002]=8,
	[41003]=8,
	[41201]=8,
	[41202]=8,
	[41203]=8,
	[41301]=8,
	[41302]=8,
	[41303]=8,
	[41401]=8,
	[41402]=8,
	[41403]=8,
	[41501]=8,
	[41502]=8,
	[41503]=8,
	[41601]=8,
	[41602]=8,
	[41603]=8,
	[41701]=8,
	[41702]=8,
	[41703]=8,
	[41801]=8,
	[41802]=8,
	[41803]=8,
	[50101]=8,
	[50102]=8,
	[50103]=1,
	[50104]=1,
	[50201]=8,
	[50202]=8,
	[50203]=8,
	[50204]=1,
	[50301]=8,
	[50302]=8,
	[50303]=8,
	[50304]=1,
	[50401]=8,
	[50402]=8,
	[50403]=8,
	[50404]=1,
	[50501]=8,
	[50502]=8,
	[50503]=8,
	[50504]=1,
	[50601]=8,
	[50602]=8,
	[50603]=8,
	[50604]=1,
	[50701]=8,
	[50702]=8,
	[50703]=8,
	[50801]=8,
	[50802]=8,
	[50803]=8,
	[50804]=1,
	[50901]=8,
	[50902]=8,
	[50903]=8,
	[50904]=1,
	[51001]=8,
	[51002]=8,
	[51003]=8,
	[51004]=1,
	[51101]=8,
	[51102]=8,
	[51103]=8,
	[51104]=1,
	[51201]=8,
	[51202]=8,
	[51203]=8,
	[51301]=8,
	[51302]=8,
	[51303]=8,
	[51401]=8,
	[51402]=8,
	[51403]=8,
	[51404]=1,
	[51501]=8,
	[51502]=8,
	[51503]=8,
	[51601]=8,
	[51602]=8,
	[51603]=8,
	[51701]=8,
	[51702]=8,
	[51703]=8,
	[51801]=8,
	[51802]=8,
	[51803]=8,
	[100201]=5,
	[100202]=5,
	[100401]=5,
	[100402]=5,
	[100501]=5,
	[100502]=5,
	[100601]=5,
	[100602]=5,
	[100701]=5,
	[100702]=5,
	[100901]=1,
	[100902]=1,
	[101001]=1,
	[101002]=1,
	[101101]=1,
	[101102]=1,
	[101201]=1,
	[101202]=1,
	[101401]=1,
	[101402]=1,
	[101501]=1,
	[101502]=1,
	[101601]=1,
	[101602]=1,
	[101801]=5,
	[101802]=1,
	[102001]=1,
	[102002]=1,
	[110001]=5,
	[110002]=5,
	[110201]=5,
	[110202]=5,
	[115001]=5,
	[115002]=5,
	[115101]=5,
	[115102]=5,
	[115201]=1,
	[115202]=1,
	[115401]=1,
	[115402]=1,
	[120001]=1,
	[120002]=1,
	[120101]=5,
	[120102]=5,
	[150101]=5,
	[150102]=5,
	[150201]=1,
	[150202]=1,
	[151101]=1,
	[151102]=1,
	[151201]=1,
	[151202]=1,
	[160001]=5,
	[160002]=5,
	[165001]=5,
	[165002]=5,
	[170001]=5,
	[170002]=5,
	[175001]=5,
	[175002]=5,
	[175101]=5,
	[175102]=5,
	[175201]=5,
	[175202]=5,
	[175301]=1,
	[175401]=1,
	[175501]=1,
}
